<?php

return [
    /*
    |--------------------------------------------------------------------------
    | API URL
    |--------------------------------------------------------------------------
    |
    | This URL is used for all API calls throughout the application.
    | It uses the APP_URL value from the .env file.
    |
    */
    'url' => env('API_URL', 'https://api.tailors.stuffly.my.id'),

    /*
    |--------------------------------------------------------------------------
    | API Timeout
    |--------------------------------------------------------------------------
    |
    | The timeout in seconds for API requests
    |
    */
    'timeout' => env('API_TIMEOUT', 60),
];
