/**
 * Base URL configuration
 */
export const baseURL = '{{ rtrim(config('api.url'), '/') }}';

/**
 * API configuration
 */
export const api = {
    baseURL: baseURL + '/api',
    timeout: {{ config('api.timeout', 30) * 1000 }},
    headers: {
        'Content-Type': 'application/json',
        'X-Requested-With': 'XMLHttpRequest'
    }
}; 